<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 10:38:56
 * 微信类
 */
namespace app\app\controller;

use app\app\logic\appointmentlogic;
use think\Controller;

class Appointment extends BaseController
{
    /**
     * 根据id获取信息
     *
     * @return void
     * @author wj
     * @date 2022-07-25
     */
    public function getinfobyid()
    {
        $param = request()->param();
        $this->checktoken($param);
        $l_a = new appointmentlogic();
        $result = $l_a->getinfobyid($param);
        if (!$result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(1, 'success', $result['data']);
    }
    /**
     * 请求数据完成
     * 根据appointment_id和testtubeno
     *
     * @return void
     * @author wj
     * @date 2022-07-25
     */
    public function finishedbyaid()
    {
        $param = request()->param();
        $this->checktoken($param);
        $l_a = new appointmentlogic();
        $result = $l_a->finishedbyaid($param);
        if (!$result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(1, 'success', $result['data']);
    }

}
